<?
session_start();
require('../valtiempoinact.php');
require("../conectar.php");
$fechaActual=date("Y-m-d");
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Subir Expediente</title>
<script language="javascript" src="js/calendar_db.js"></script>
<link type="text/css" href="js/calendar.css" rel="stylesheet" />
<style>	 
            .tabla{width:60%;background:#ffffff;border-collapse: collapse;font-family:arial;}
			.titulo{height:35px;max-height:35px !important;background:#ffffff url(images/tlcancion.jpg) repeat-x;color:#0d0d0d;font-size:15px;}
			.titulos{height:30px;background:url(images/tcancion.jpg) ;max-height:30px !important;color:#ffffff;font-size:12px;}
			.subtitulos{height:30px;background:url(images/tcancion.jpg) repeat-x;max-height:30px !important;color:#ffffff;font-size:10px;}
			.nombre{height:28px;background:#0a0a0a;color:#ffffff;text-align:center;font-size:12px;}
			.concepto{width:203px;height:28px;background:url(images/tcancion.jpg) repeat-x;color:#ffffff;text-align:center;font-size:11px;text-align:left;}
			.concepto2{width:203px;height:28px;background:url(images/tcancion.jpg) repeat-x;color:#ffffff;font-size:11px;text-align:center;}
			.inp{width:300px;font-size:10px;}
			.inpd{width:15px;text-align:right;font-size:10px;}
			.tdcal{background:#ffffff;font-size:11px;}
			.tdcali{background:#ffffff;font-size:11px;border-right:solid 1px #A9D0F5;}
			.tdcalm{background:#A9D0F5;font-size:11px;}
			.tdcal1p{background:#F9F263;font-size:11px;font-weight:bold;}
			.tdcali1p{background:#F9F263;font-size:11px;border-right:solid 1px #000000;font-weight:bold;text-align:justify;}
			.tdcali11p{background:#F9F263;font-size:11px;font-weight:bold;text-align:justify;}
			.tdcalm1p{background:#C6E06D;font-size:11px;text-align:left;}

			.tdcali2p{height:15px;max-height:15px !important;background:#ffffff url(images/tlcancion.jpg) repeat-x;color:#0d0d0d;font-size:11px;}
			.act{display:block;overflow:hidden;width:100%;height:50px;background:#BEF781;font-family:arial;font-size:17px;font-weight:bold;color:#4B610B;text-align:center;border:solid 2px #4B610B;-moz-border-radius: 5px;-webkit-border-radius: 5px;border-radius: 5px;-khtml-border-radius: 5px; -Moz-box-shadow: 0px 5px 10px # 556B2F;-webkit-box-shadow: 0px 5px 10px #556B2F; box-shadow: 0px 5px 10px #556B2F;}
			.act p{position:relative;top:0px;}
			.act img{position:relative;width:40px;height:40px;top:-50px;left:250px;}
			h2{font-family:arial;font-size:16px;}
			.sinfor{text-decoration:none;}
        </style>
</head>

<body>
<?
$idempl=$_GET['idemp'];

//mysql_query("ALTER TABLE  `expedientecliente` DROP  `cartafini` ");
//mysql_query("ALTER TABLE  `expedientes` ADD  `cartafini` VARCHAR( 50 ) NOT NULL ; ");
$sql="select nombre,a_pat,a_mat,direccion,rfc,curp,telefono, ref1nombre, ref2nombre, ref3nombre, ref1tel, ref2tel, ref3tel,ref1dir,ref2dir,ref3dir from empleados where id_empleado='$idemp'"; 
$eje=mysql_query($sql);
$reg=mysql_fetch_array($eje);
?>
<form action="#" method="POST" enctype="multipart/form-data" name="forma" onsubmit="return validar(this)">
<center>	   
	<table class="tabla">
	    <tr>
		 <td></td>
		</tr>
		<tr class="titulo">
		 <td colspan="4">
		  <center><b>REGISTRAR EXPEDIENTES</b></center>
	     </td>
		</tr>
		<tr>
		  <td class="tdcali1p" width="50px">Nombre:</td>
		  <td class="tdcali11p" colspan="3"width="150px"><?echo $reg['nombre']." ".$reg['a_pat']." ".$reg['a_mat'];?></td>
		</tr>
		<tr>
		  <td class="tdcali1p" width="50px">Direccion:</td>
		  <td class="tdcali11p" colspan="3"width="150px"><?echo $reg['direccion'];?></td>
		</tr> 
		<tr>
		  <td class="tdcali1p" width="50px">RFC:</td>
		  <td class="tdcali11p" colspan="3"width="150px"><?echo $reg['rfc'];?></td>
		</tr>
		<tr>
		  <td class="tdcali1p" width="50px">CURP:</td>
		  <td class="tdcali11p" colspan="3"width="150px"><?echo $reg['curp'];?></td>
		</tr>
		<tr>
		  <td class="tdcali1p" width="50px">Telefono:</td>
		  <td class="tdcali11p" width="150px"colspan="3"><?echo $reg['telefono'];?></td>
		</tr> 
		<tr>
		<td class="tdcali2p" colspan="4"><strong>REFERENCIAS PERSONALES</strong></td>
		</tr>
		<tr>
		<td class="tdcali1p">Nombre:</td>
		<td class="tdcali1p" colspan="1"><?echo $reg['ref1nombre'];?></td>
		<td class="tdcali1p">Telefono: <?php echo $reg['ref1tel'];?></td>
		<td class="tdcali11p">Direccion: <?php echo $reg['ref1dir'];?></td>
		</tr>
		<tr>
		<td class="tdcali1p">Nombre:</td>
		<td class="tdcali1p" colspan="1"><?echo $reg['ref2nombre'];?></td>
		<td class="tdcali1p">Telefono: <?php echo $reg['ref2tel'];?></td>
		<td class="tdcali11p">Direccion: <?php echo $reg['ref2dir'];?></td>
		</tr>
		<tr>
		<td class="tdcali1p">Nombre:</td>
		<td class="tdcali1p" colspan="1"><?echo $reg['ref3nombre'];?></td>
		<td class="tdcali1p">Telefono: <?php echo $reg['ref3tel'];?></td>
		<td class="tdcali11p">Direccion: <?php echo $reg['ref3dir'];?></td>
		</tr>

	</table>	
	<? 
	  $sqlexp="select * from expedientes where IdEmpleado='$idemp'";
	  $eje=mysql_query($sqlexp);
	  $tot=mysql_num_rows($eje);
	  if($tot>0){ $var=1;
	  }
	  
	  $expe=mysql_fetch_object($eje);
	  if($expe->caratula!=""){$car="<img src='img/ok.png' width='15' height='15'>";}else{$car="<img src='img/nook.png' width='15' height='15'>";}
	  if($expe->ife!=""){$ife="<a href='$expe->ife' target='_blank'><img src='img/ok.png' width='15' height='15'></a>";}else{$ife="<img src='img/nook.png' width='15' height='15'>";}
	  if($expe->rfc!=""){$rfc="<a href='$expe->rfc' target='_blank'><img src='img/ok.png' width='15' height='15'></a>";}else{$rfc="<img src='img/nook.png' width='15' height='15'>";}
	  if($expe->ContratoBan !=""){$ContratoBan ="<a href='$expe->ContratoBan' target='_blank'><img src='img/ok.png' width='15' height='15'></a>";}else{$ContratoBan ="<img src='img/nook.png' width='15' height='15'>";}
	  if($expe->ComEstudios!=""){$ComEstudios="<a href='$expe->ComEstudios' target='_blank'><img src='img/ok.png' width='15' height='15'></a>";}else{$ComEstudios="<img src='img/nook.png' width='15' height='15'>";}
	  if($expe->ComDomicilio!=""){$ComDomicilio="<a href='$expe->ComDomicilio' target='_blank'><img src='img/ok.png' width='15' height='15'></a>";}else{$ComDomicilio="<img src='img/nook.png' width='15' height='15'>";}
	  if($expe->contrato!=""){$contrato="<a href='$expe->contrato' target='_blank'><img src='img/ok.png' width='15' height='15'></a>";}else{$contrato="<img src='img/nook.png' width='15' height='15'>";}
	  if($expe->curp!=""){$curp="<a href='$expe->curp' target='_blank'><img src='img/ok.png' width='15' height='15'></a>";}else{$curp="<img src='img/nook.png' width='15' height='15'>";}
	  if($expe->actanac!=""){$actanac="<a href='$expe->actanac' target='_blank'><img src='img/ok.png' width='15' height='15'></a>";}else{$actanac="<img src='img/nook.png' width='15' height='15'>";}
	  if($expe->sol_curri!=""){$sol_curri="<a href='$expe->sol_curri' target='_blank'><img src='img/ok.png' width='15' height='15'></a>";}else{$sol_curri="<img src='img/nook.png' width='15' height='15'>";}
	   if($expe->cartafini!=""){$cartafini="<a href='$expe->cartafini' target='_blank'><img src='img/ok.png' width='15' height='15'></a>";}else{$cartafini="<img src='img/nook.png' width='15' height='15'>";}
	 
	?>
    <table class="tabla">  		
		<tr>
		  <td class="concepto"></td>
		  <td class="tdcalm1p">
			<input name="archivo1" id="subir1" type="file" class="inp" style="display:none">
			<input type="hidden" name="a1" value="<?echo $expe->caratula?>">
		  </td>
		</tr>
		<tr>
		  <td class="concepto">Identificacion:</td>
		  <td class="tdcalm1p">
			<input name="archivo2" id="subir2" type="file" class="inp"><?echo $ife; ?>
			<input type="hidden" name="a2" value="<?echo $expe->ife?>">
		  </td>
		</tr>
		<tr>
		  <td class="concepto">Acta de Nacimiento:</td>
		  <td class="tdcalm1p">
			<input name="archivo9" id="subir9" type="file" class="inp"><?echo $actanac; ?>
			<input type="hidden" name="a9" value="<?echo $expe->actanac?>">
		  </td>
		</tr>
		<tr>
		  <td class="concepto">Comprobante Estudios:</td>
		  <td class="tdcalm1p">
			<input name="archivo5" id="subir5" type="file" class="inp"><?echo $ComEstudios; ?>
			<input type="hidden" name="a5" value="<?echo $expe->ComEstudios?>">
		  </td>
		</tr>
		<tr>
		  <td class="concepto">Comprobante Domicilio:</td>
		  <td class="tdcalm1p">
			<input name="archivo6" id="subir6" type="file" class="inp"><?echo $ComDomicilio; ?>
			<input type="hidden" name="a6" value="<?echo $expe->ComDomicilio?>">
		  </td>
		</tr>
		<tr>
		  <td class="concepto">CURP:</td>
		  <td class="tdcalm1p">
			<input name="archivo8" id="subir8" type="file" class="inp"><?echo $curp; ?>
			<input type="hidden" name="a8" value="<?echo $expe->curp?>">
		  </td>
		</tr>
		<tr>
		  <td class="concepto">RFC:</td>
		  <td class="tdcalm1p">
			<input name="archivo3" id="subir3" type="file" class="inp"><?echo $rfc; ?>
			<input type="hidden" name="a3" value="<?echo $expe->rfc?>">
		  </td>
		</tr>
		<tr>
		  <td class="concepto">Contrato Bancario:</td>
		  <td class="tdcalm1p">
			<input name="archivo4" id="subir4" type="file" class="inp"><?echo $ContratoBan; ?>
			<input type="hidden" name="a4" value="<?echo $expe->ContratoBan?>">
		  </td>
		</tr>
		<tr>
		  <td class="concepto">Solicitud/Curriculum:</td>
		  <td class="tdcalm1p">
			<input name="archivo10" id="subir10" type="file" class="inp"><?echo $sol_curri; ?>
			<input type="hidden" name="a10" value="<?echo $expe->sol_curri?>">
		  </td>
		</tr>
		<tr>
		  <td class="concepto">Contrato(s):</td>
		  <td class="tdcalm1p">
			<input name="archivo7" id="subir7" type="file" class="inp"><?echo $contrato; ?>
			<input type="hidden" name="a7" value="<?echo $expe->contrato?>">
		  </td>
		</tr>
		<tr>
		  <td class="concepto">Observaciones:</td>
		  <td class="tdcalm1p">
			<textarea class="inp" name="obs"><?echo $expe->observaciones;?></textarea>
			<input type="hidden" name="idemp" value="<?echo $idemp?>">
			<input type="hidden" name="freg" value="<?echo $fechaActual;?>">
			<input type="hidden" name="var" value="<?echo $var;?>">
		  </td>
		</tr>
		<table class="tabla">
		<tr>
		  <td class="concepto">Carta finiquito:</td>
		  <td class="tdcalm1p">
		<input name="archivo11" id="subir11" type="file" class="inp"><?echo $cartafini; ?>
			<input type="hidden" name="a11" value="<?echo $expe->cartafini?>">
		  </td>
		</tr>
		</table>
		<tr>
		  <td class="concepto2" colspan="2" align="center"><input type="submit" name="exp" value="GUARDAR"></td>
		</tr>		
	</table>					
</form>
</center>
<center>
<? if(isset($_POST['exp'])){
$idemp=$_POST['idemp'];
$freg=$_POST['freg'];
$obs=$_POST['obs'];
$var=$_POST['var'];
$documentos[1]="CARATULA";
$documentos[2]="IFE";
$documentos[3]="RFC";
$documentos[4]="CONTRATO BANCARIO";
$documentos[5]="COMPROBANTE DE ESTUDIOS";
$documentos[6]="COMPROBANTE DE DOMICILIO";
$documentos[7]="CONTRATO";
$documentos[8]="CURP";
$documentos[9]="ACTA DE NACIMIENTO";
$documentos[10]="SOLICITUD/CURRICULUM";

if($var!=1){
// obtenemos los datos de los archivos
    for($i=1;$i<=10;$i++){
	$tamano = $_FILES["archivo$i"]['size'];
	$tipo = $_FILES["archivo$i"]['type'];
	$archivo = $_FILES["archivo$i"]['name'];
	$prefijo = substr(md5(uniqid(rand())),0,9);
	
	if ($archivo != "") {
		// guardamos el archivo a la carpeta expedientes
		$destino=  "expedientes/".$prefijo."_".$archivo;
		$var="archivo$i";
		if (move_uploaded_file($_FILES[$var]['tmp_name'],$destino)) {
			$status = "Archivo subido: <b>".$archivo."</b>";
		} else {
			$status = "Error al subir el archivo";
		}
		$ruta="'$destino',";
        $expediente=$expediente.$ruta;
	} else {
	    $destino="";
		$status = "No subio ".$documentos[$i];
		$ruta="'$destino',";
        $expediente=$expediente.$ruta;
	}		
	echo "<center style='font-size:11px;font-weight:bold;'>".$status."</center>";
	/////////////////////////////////////////////////
   }
   $sql="INSERT INTO expedientes (IdEmpleado,FechaReg,caratula,ife,rfc,ContratoBan,ComEstudios,ComDomicilio,contrato,curp,actanac,sol_curri,observaciones)values('$idemp','$freg',$expediente'$obs')";
    mysql_query($sql);
  }
  if($var==1){
    $a1=$_POST['a1'];
	$a2=$_POST['a2'];
	$a3=$_POST['a3'];
	$a4=$_POST['a4'];
	$a5=$_POST['a5'];
	$a6=$_POST['a6'];
	$a7=$_POST['a7'];
	$a8=$_POST['a8'];
	$a9=$_POST['a9'];
	$a10=$_POST['a10'];
	
		$tamano = $_FILES["archivo2"]['size'];
		$tipo = $_FILES["archivo2"]['type'];
		$archivo = $_FILES["archivo2"]['name'];
		$prefijo = substr(md5(uniqid(rand())),0,9);
		if($archivo==""){
		    $destino=$a2;
		   }elseif($archivo != "") {
		// guardamos el archivo a la carpeta expedientes
		$destino= "expedientes/".$prefijo."_".$archivo;
		$var="archivo2";
		if(move_uploaded_file($_FILES[$var]['tmp_name'],$destino)) {
			echo $status = "Archivo subido: <b>".$archivo."</b>";
		}else{
			echo $status = "Error al subir el archivo";
		}
	     }
		 
		$tamano2 = $_FILES["archivo3"]['size'];
		$tipo2 = $_FILES["archivo3"]['type'];
		$archivo2 = $_FILES["archivo3"]['name'];
		$prefijo = substr(md5(uniqid(rand())),0,9);
		if($archivo2==""){
		    $destino2=$a3;
		   }elseif($archivo2 != "") {
		// guardamos el archivo a la carpeta expedientes
		$destino2= "expedientes/".$prefijo."_".$archivo2;
		$var="archivo3";
		if(move_uploaded_file($_FILES[$var]['tmp_name'],$destino2)) {
			echo $status = "Archivo subido: <b>".$archivo2."</b>";
		}else{
			echo $status = "Error al subir el archivo";
		}
	     }
		 
		$tamano3 = $_FILES["archivo4"]['size'];
		$tipo3 = $_FILES["archivo4"]['type'];
		$archivo3 = $_FILES["archivo4"]['name'];
		$prefijo = substr(md5(uniqid(rand())),0,9);
		if($archivo3==""){
		    $destino3=$a4;
		   }elseif($archivo3 != "") {
		// guardamos el archivo a la carpeta expedientes
		$destino3= "expedientes/".$prefijo."_".$archivo3;
		$var="archivo4";
		if(move_uploaded_file($_FILES[$var]['tmp_name'],$destino3)) {
			echo $status = "Archivo subido: <b>".$archivo3."</b>";
		}else{
			echo $status = "Error al subir el archivo";
		}
	     }

		$tamano4 = $_FILES["archivo5"]['size'];
		$tipo4 = $_FILES["archivo5"]['type'];
		$archivo4 = $_FILES["archivo5"]['name'];
		$prefijo = substr(md5(uniqid(rand())),0,9);
		if($archivo4==""){
		    $destino4=$a5;
		   }elseif($archivo4 != "") {
		// guardamos el archivo a la carpeta expedientes
		$destino4= "expedientes/".$prefijo."_".$archivo4;
		$var="archivo5";
		if(move_uploaded_file($_FILES[$var]['tmp_name'],$destino4)) {
			echo $status = "Archivo subido: <b>".$archivo4."</b>";
		}else{
			echo $status = "Error al subir el archivo";
		}
	     }	

		$tamano5 = $_FILES["archivo6"]['size'];
		$tipo5 = $_FILES["archivo6"]['type'];
		$archivo5 = $_FILES["archivo6"]['name'];
		$prefijo = substr(md5(uniqid(rand())),0,9);
		if($archivo5==""){
		    $destino5=$a6;
		   }elseif($archivo5 != "") {
		// guardamos el archivo a la carpeta expedientes
		$destino5= "expedientes/".$prefijo."_".$archivo5;
		$var="archivo6";
		if(move_uploaded_file($_FILES[$var]['tmp_name'],$destino5)) {
			echo $status = "Archivo subido: <b>".$archivo5."</b>";
		}else{
			echo $status = "Error al subir el archivo";
		}
	     }

		$tamano6 = $_FILES["archivo7"]['size'];
		$tipo6 = $_FILES["archivo7"]['type'];
		$archivo6 = $_FILES["archivo7"]['name'];
		$prefijo = substr(md5(uniqid(rand())),0,9);
		if($archivo6==""){
		    $destino6=$a7;
		   }elseif($archivo6 != "") {
		// guardamos el archivo a la carpeta expedientes
		$destino6= "expedientes/".$prefijo."_".$archivo6;
		$var="archivo7";
		if(move_uploaded_file($_FILES[$var]['tmp_name'],$destino6)){
			echo $status = "Archivo subido: <b>".$archivo6."</b>";
		}else{
			echo $status = "Error al subir el archivo";
		}
	     }	
		
		$tamano7 = $_FILES["archivo8"]['size'];
		$tipo7 = $_FILES["archivo8"]['type'];
		$archivo7 = $_FILES["archivo8"]['name'];
		$prefijo7 = substr(md5(uniqid(rand())),0,9);
		if($archivo7==""){
		    $destino7=$a8;
		   }elseif($archivo7 != "") {
		// guardamos el archivo a la carpeta expedientes
		$destino7= "expedientes/".$prefijo7."_".$archivo7;
		$var="archivo8";
		if(move_uploaded_file($_FILES[$var]['tmp_name'],$destino7)) {
			echo $status = "Archivo subido: <b>".$archivo7."</b>";
		}else{
			echo $status = "Error al subir el archivo";
		}
	     }

		$tamano8= $_FILES["archivo9"]['size'];
		$tipo8 = $_FILES["archivo9"]['type'];
		$archivo8 = $_FILES["archivo9"]['name'];
		$prefijo8 = substr(md5(uniqid(rand())),0,9);
		if($archivo8==""){
		    $destino8=$a9;
		   }elseif($archivo8 != "") {
		// guardamos el archivo a la carpeta expedientes
		$destino8= "expedientes/".$prefijo8."_".$archivo8;
		$var="archivo9";
		if(move_uploaded_file($_FILES[$var]['tmp_name'],$destino8)) {
			echo $status = "Archivo subido: <b>".$archivo8."</b>";
		}else{
			echo $status = "Error al subir el archivo";
		}
	     }		 
		 $tamano9= $_FILES["archivo10"]['size'];
		$tipo9 = $_FILES["archivo10"]['type'];
		$archivo9 = $_FILES["archivo10"]['name'];
		$prefijo9 = substr(md5(uniqid(rand())),0,9);
		if($archivo9==""){
		    $destino9=$a10;
		   }elseif($archivo9 != "") {
		// guardamos el archivo a la carpeta expedientes
		$destino9= "expedientes/".$prefijo9."_".$archivo9;
		$var="archivo10";
		if(move_uploaded_file($_FILES[$var]['tmp_name'],$destino9)) {
			echo $status = "Archivo subido: <b>".$archivo9."</b>";
		}else{
			echo $status = "Error al subir el archivo";
		}
	     }
 $tamano10= $_FILES["archivo11"]['size'];
		$tipo10 = $_FILES["archivo11"]['type'];
		$archivo10 = $_FILES["archivo11"]['name'];
		$prefijo10 = substr(md5(uniqid(rand())),0,9);
		if($archivo10==""){
		
		    $destino10=$a11;
		   }elseif($archivo10 != "") {
		// guardamos el archivo a la carpeta expedientes
		$destino10= "expedientes/".$prefijo10."_".$archivo10;
		$var="archivo11";
		if(move_uploaded_file($_FILES[$var]['tmp_name'],$destino10)) {
			echo $status = "Archivo subido: <b>".$archivo10."</b>";
		}else{
			echo $status = "Error al subir el archivo";
		}
	     }		 		
		$sql="UPDATE expedientes set ife='$destino',rfc='$destino2',ContratoBan='$destino3',ComEstudios='$destino4',ComDomicilio='$destino5',contrato='$destino6',observaciones='$obs',curp='$destino7',actanac='$destino8',sol_curri='$destino9', cartafini='$destino10' where IdEmpleado='$idemp'";
    mysql_query($sql);
		}
			
	
	
  }

?>
</center>
</body>
</html>
